Bug 618203 - syslogd stops writing any messages to /dev/console after an EINTR in syscall
Summary: syslogd stops writing any messages to /dev/console after an EINTR in syscall
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: 4.7
Hardware: All Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Peter Vrabec
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords: Patch, ZStream
Depends On: 500354
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 12:01 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the syslogd daemon could deadlock in ctime() system calls when it was set up to output MARK messages. With this update, the syslogd does not get suspended and the issue is resolved.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 11:25:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0739 normal SHIPPED_LIVE sysklogd bug fix update 2010-10-05 11:24:59 UTC

Description RHEL Product and Program Management 2010-07-26 12:01:26 UTC
This bug has been copied from bug #500354 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 5 Florian Nadge 2010-10-05 10:27:27 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the syslogd daemon could deadlock in ctime() system calls when it was set up to output MARK messages. With this update, the syslogd does not get suspended and the issue is resloved.

Comment 6 Florian Nadge 2010-10-05 10:29:21 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, the syslogd daemon could deadlock in ctime() system calls when it was set up to output MARK messages. With this update, the syslogd does not get suspended and the issue is resloved.+Previously, the syslogd daemon could deadlock in ctime() system calls when it was set up to output MARK messages. With this update, the syslogd does not get suspended and the issue is resolved.

Comment 7 errata-xmlrpc 2010-10-05 11:25:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0739.html


Note You need to log in before you can comment on or make changes to this bug.